#include <runtime/lib.h>
#include <stream/stream.h>

void
stream_puts (stream_t *stream, const char *str)
{
	char c;

	for (;;) {
#if __AVR__
		c = readb (str);
#else
		c = *str;
#endif
		if (! c)
			return;
		putchar (stream, c);
		++str;
	}
}
